require "rails_helper"

RSpec.describe Settings::MenuItemSetsController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/settings/menu_item_sets").to route_to("settings/menu_item_sets#index")
    end

    it "routes to #new" do
      expect(:get => "/settings/menu_item_sets/new").to route_to("settings/menu_item_sets#new")
    end

    it "routes to #show" do
      expect(:get => "/settings/menu_item_sets/1").to route_to("settings/menu_item_sets#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/settings/menu_item_sets/1/edit").to route_to("settings/menu_item_sets#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/settings/menu_item_sets").to route_to("settings/menu_item_sets#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/settings/menu_item_sets/1").to route_to("settings/menu_item_sets#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/settings/menu_item_sets/1").to route_to("settings/menu_item_sets#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/settings/menu_item_sets/1").to route_to("settings/menu_item_sets#destroy", :id => "1")
    end

  end
end
